'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.importQueue = undefined;

require('./boot');

var _bull = require('bull');

var _bull2 = _interopRequireDefault(_bull);

var _sentry = require('./sentry');

var _sentry2 = _interopRequireDefault(_sentry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var importQueue = (0, _bull2.default)('Wikidot Data Importer', process.env.REDIS_PORT, '127.0.0.1');

importQueue.on('error', function (error) {
    return _sentry2.default.captureException(error);
}).on('stalled', function (job) {
    return _sentry2.default.captureMessage('Job stalled', { level: 'warning', data: { job: job.data } });
}).on('failed', function (job, error) {
    return _sentry2.default.captureException(error, { data: { job: job.data } });
});

exports.importQueue = importQueue;
//# sourceMappingURL=queues.js.map