'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _raven = require('raven');

var _raven2 = _interopRequireDefault(_raven);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SENTRY_DSN = process.env.SENTRY_DSN;

var sentry = void 0;

if (SENTRY_DSN) {
    _raven2.default.config(SENTRY_DSN).install();
    sentry = _raven2.default;

    sentry.captureException = sentry.captureException.bind(sentry);
    sentry.captureMessage = sentry.captureMessage.bind(sentry);
} else {
    sentry = {
        captureMessage: function captureMessage() {},
        captureExecption: function captureExecption() {},

        requestHandler: function requestHandler() {
            return function (req, res, next) {
                return next();
            };
        },
        errorHandler: function errorHandler() {
            return function (err, req, res, next) {
                return next(err);
            };
        }
    };
}

exports.default = sentry;
//# sourceMappingURL=sentry.js.map